7.0.0

# fdsnxml2inv

Convert station inventory between FDSN StationXML format and SeisComP XML.

## Description

fdsnws2inv is an inventory converter. It converts station meta data from FDSN StationXML format to SeisComP XML (SCML) and back writing the output to a file, if given, or the command line (stdout).

## Examples

1. Convert an inventory file in FDSN StationXML format to SCML with formatted XML. Redirect the output to a new file:

       fdsnxml2inv -f inventory_fdsn.xml inventory_sc.xml

2. Convert an inventory file in SCML format to FDSN StationXML with formatted XML. Redirect the output to a new file:

       fdsnxml2inv --to-staxml -f inventory_sc.xml inventory_fdns.xml

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/fdsnxml2inv.cfg`
`etc/global.cfg`
`etc/fdsnxml2inv.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/fdsnxml2inv.cfg`

fdsnxml2inv inherits global options.

## Command-Line Options

fdsnxml2inv [OPTIONS] input [output]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

--print-component arg

  For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--trace

  Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

### Convert

-f, --formatted

  Generate formatted SCML. Otherwise, output XML to a single line.

--to-staxml

  Convert from SCML to StationXML and expects SCML as input. If not given, input is SCML and output is StationXML.

--relaxed-ns-check

  Enable relaxed XML namespace checks. This will also accept tags within a different namespace than defined in the supported schema.

--log-stages

  Add more output to stderr for all channel response stages when converting from StationXML.